Unable to build source code for jbilling-community-3.3.1

zeal20's Avatar

zeal20

10 Sep, 2015 05:28 AM

I am unable to build the source code for jbilling-community-3.3.1.
When I try to build the code using grails version 1.3.6 and java version:1.6.0_45
I get the following error.

zeal@zealPC ~/development/jbilling/jbilling-community-3.3.1 (2) $ gvm use grails 1.3.6

Using grails version 1.3.6 in this shell.
zeal@zealPC ~/development/jbilling/jbilling-community-3.3.1 (2) $ ./run-app.sh --debug
bash: ./run-app.sh: Permission denied
zeal@zealPC ~/development/jbilling/jbilling-community-3.3.1 (2) $ ./run-app.sh --debug
Welcome to Grails 1.3.6 - http://grails.org/
Licensed under Apache Standard License 2.0
Grails home is set to: /home/zeal/.gvm/grails/1.3.6

Base Directory: /home/zeal/development/jbilling/jbilling-community-3.3.1 (2)
WARNING: Configurational method [inherits] in grails-app/conf/BuildConfig.groovy doesn't exist. Ignoring..
Resolving dependencies...
:: problems summary ::
:::: WARNINGS
::::::::::::::::::::::::::::::::::::::::::::::

:: UNRESOLVED DEPENDENCIES ::

::::::::::::::::::::::::::::::::::::::::::::::

:: commons-pool#commons-pool;1.5.5: configuration not found in commons-pool#commons-pool;1.5.5: 'master'. It was required from org.grails.internal#jbilling;community-3.3.1 runtime

::::::::::::::::::::::::::::::::::::::::::::::

Dependencies resolved in 1247ms.
Running script /home/zeal/.gvm/grails/1.3.6/scripts/RunApp.groovy
Environment set to development
:: problems summary ::
:::: WARNINGS
::::::::::::::::::::::::::::::::::::::::::::::

:: UNRESOLVED DEPENDENCIES ::

::::::::::::::::::::::::::::::::::::::::::::::

:: commons-pool#commons-pool;1.5.5: configuration not found in commons-pool#commons-pool;1.5.5: 'master'. It was required from org.grails.internal#jbilling;community-3.3.1 runtime

::::::::::::::::::::::::::::::::::::::::::::::

2015-09-10 09:33:55,739 WARN GrailsUtil - [DEPRECATED] Use of 'Events.groovy' is DEPRECATED. Please rename to '_Events.groovy'.
Application expects grails version [2.0.3], but GRAILS_HOME is version [1.3.6] - use the correct Grails version or run 'grails upgrade' if this Grails version is newer than the version your application expects.

I have followed jbilling-community-3.3.1/README.md for building the code.
Please help resolve this ASAP.

  1. 1 Posted by zeal20 on 10 Sep, 2015 06:39 AM

    zeal20's Avatar

    I used grails 2.0.3 for building the code. This problem was fixed. Now, however I am getting this exception:

    2015-09-10 10:26:54,399 12883 ERROR [org.hibernate.util.JDBCExceptionReporter] (pool-7-thread-1:) ERROR: relation "entity" does not exist
      Position: 308
    2015-09-10 10:26:54,408 12892 ERROR [org.codehaus.groovy.grails.web.context.GrailsContextLoader] (pool-7-thread-1:) Error executing bootstraps: could not execute query
    org.hibernate.exception.SQLGrammarException: could not execute query
    at com.sapienter.jbilling.server.user.db.CompanyDAS.findEntities(CompanyDAS.java:28)
    at com.sapienter.jbilling.server.util.SchedulerBootstrapHelper.schedulePluggableTasks(SchedulerBootstrapHelper.java:58)
    at BootStrap$_closure1.doCall(BootStrap.groovy:31)
    at grails.util.Environment.evaluateEnvironmentSpecificBlock(Environment.java:300)
    at grails.util.Environment.executeForEnvironment(Environment.java:293)
    at grails.util.Environment.executeForCurrentEnvironment(Environment.java:269)
    at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
    at java.util.concurrent.FutureTask.run(FutureTask.java:138)
    at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:895)
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:918)
    at java.lang.Thread.run(Thread.java:662)
    Caused by: org.postgresql.util.PSQLException: ERROR: relation "entity" does not exist
      Position: 308
    at org.postgresql.core.v3.QueryExecutorImpl.receiveErrorResponse(QueryExecutorImpl.java:2077)
    at org.postgresql.core.v3.QueryExecutorImpl.processResults(QueryExecutorImpl.java:1810)
    at org.postgresql.core.v3.QueryExecutorImpl.execute(QueryExecutorImpl.java:257)
    at org.postgresql.jdbc2.AbstractJdbc2Statement.execute(AbstractJdbc2Statement.java:498)
    at org.postgresql.jdbc2.AbstractJdbc2Statement.executeWithFlags(AbstractJdbc2Statement.java:386)
    at org.postgresql.jdbc2.AbstractJdbc2Statement.executeQuery(AbstractJdbc2Statement.java:271)
    at com.mchange.v2.c3p0.impl.NewProxyPreparedStatement.executeQuery(NewProxyPreparedStatement.java:76)
    ... 11 more
    2015-09-10 10:26:54,411 12895 INFO [org.apache.activemq.broker.BrokerService] (ActiveMQ ShutdownHook:) ActiveMQ Message Broker (localhost, ID:RishabhPC-37067-1441866410597-0:0) is shutting down
    2015-09-10 10:26:54,414 12898 INFO [org.apache.activemq.kaha.impl.KahaStore] (ActiveMQ Task:) Kaha Store using data directory activemq-data/localhost/tmp_storage
    2015-09-10 10:26:54,416 12900 INFO [org.apache.activemq.broker.TransportConnector] (ActiveMQ ShutdownHook:) Connector vm://localhost Stopped
    2015-09-10 10:26:54,416 12900 INFO [org.apache.activemq.broker.BrokerService] (ActiveMQ ShutdownHook:) ActiveMQ Message Broker (localhost, ID:RishabhPC-37067-1441866410597-0:0) is shutting down
    2015-09-10 10:26:54,509 12993 INFO [org.apache.activemq.broker.BrokerService] (ActiveMQ ShutdownHook:) ActiveMQ JMS Message Broker (localhost, ID:RishabhPC-37067-1441866410597-0:0) stopped
    2015-09-10 10:26:54,509 12993 INFO [org.apache.activemq.broker.BrokerService] (ActiveMQ ShutdownHook:) ActiveMQ JMS Message Broker (localhost, ID:RishabhPC-37067-1441866410597-0:0) stopped

  2. Support Staff 2 Posted by Technical Suppo... on 14 Sep, 2015 11:28 AM

    Technical Support's Avatar

    Hello,
    jbilling-community-3.3.1. required system configurations are -
    -grails version- 1.4.3 -java version -jdk1.6

    If you are using linux OS then follow the following step (in your workspace)
    1.> grails clean; grails compile; grails compile;
    2.> grails clean; grails compile; grails compile;
    3.> grails prepare-test
    4.> grails run-app

    Please follow these instructions and let us know the results. We will try to nullify the errors you are facing.

    Thank you
    jBilling Support Team

  3. 3 Posted by Santu on 24 Aug, 2016 04:55 AM

    Santu's Avatar

    Hi,

    I am Using Jbilling-community-4.1.1src and grails version-2.4.3. & JDK-1.8 . while building jbilling source code then following error are getting :
    Please tell me what shall I do now ?

    | Compiling 10 source files
    error: error reading C:\Users\Santu\.m2\repository\janino\janino\2.5.15\janino
    -2.5.15.jar; error in opening zip file
    error: error reading C:\Users\Santu\.m2\repository\org\olap4j\olap4j\0.9.7.309
    -JS-3\olap4j-0.9.7.309-JS-3.jar; error in opening zip file
      [groovyc] org.codehaus.groovy.control.MultipleCompilationErrorsException: star
    tup failed:
      [groovyc] C:\Users\Santu\.grails\2.4.3\projects\jbilling-community-4.1.2\plu
    gins\tomcat8-8.0.5\src\groovy\org\grails\plugins\tomcat\TomcatLoader.groovy: 48:
     unable to resolve class ParentDelegatingClassLoader
      [groovyc] @ line 48, column 17.
      [groovyc] classLoader = new ParentDelegatingClassLoader(cl)
      [groovyc] ^
      [groovyc]
      [groovyc] C:\Users\Santu\.grails\2.4.3\projects\jbilling-community-4.1.2\plu
    gins\tomcat8-8.0.5\src\groovy\org\grails\plugins\tomcat\fork\ForkedTomcatServer.
    groovy: 29: unable to resolve class org.grails.plugins.tomcat.TomcatKillSwitch
      [groovyc] @ line 29, column 1.
      [groovyc] import org.grails.plugins.tomcat.TomcatKillSwitch
      [groovyc] ^
      [groovyc]
      [groovyc] 2 errors
    | Compiling 10 source files.
    | Error Compilation error: startup failed:
    C:\Users\Santu\.grails\2.4.3\projects\jbilling-community-4.1.2\plugins\tomcat8
    -8.0.5\src\groovy\org\grails\plugins\tomcat\TomcatLoader.groovy: 48: unable to r
    esolve class ParentDelegatingClassLoader
     @ line 48, column 17.
                    classLoader = new ParentDelegatingClassLoader(cl)
                       ^

    C:\Users\Santu\.grails\2.4.3\projects\jbilling-community-4.1.2\plugins\tomcat8
    -8.0.5\src\groovy\org\grails\plugins\tomcat\fork\ForkedTomcatServer.groovy: 29:
    unable to resolve class org.grails.plugins.tomcat.TomcatKillSwitch
     @ line 29, column 1.
       import org.grails.plugins.tomcat.TomcatKillSwitch
       ^

    2 errors

  4. Support Staff 4 Posted by Technical Suppo... on 29 Aug, 2016 11:06 AM

    Technical Support's Avatar

    Hello Santu,

    Please follow the installation instructions for source community edition from here: http://www.jbilling.com/documentation/users/installation/building-j...

    and let us know if you face the same problem again.

    Thanks,
    jBilling Technical Support Team

  5. 5 Posted by Vetri on 05 Feb, 2017 02:30 AM

    Vetri's Avatar

    Hi Santu,

    I faced the same issue and in my case the issue was because of corrupted

    .m2/repository/janino/janino/2.5.15/janino-2.5.15.jar

    in the repository. removing .m2\repository\janino\ and compiling again fixed the issue.

    $grails clean
    $grails compile

    Hope this helps.

Reply to this discussion

Internal reply

Formatting help / Preview (switch to plain text) No formatting (switch to Markdown)

Attaching KB article:

»

Attached Files

You can attach files up to 10MB

If you don't have an account yet, we need to confirm you're human and not a machine trying to post spam.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac

Recent Discussions

13 Jan, 2018 06:26 AM
12 Jan, 2018 02:45 PM
12 Jan, 2018 04:48 AM
30 Dec, 2017 05:39 AM
15 Dec, 2017 12:58 PM

 

30 Nov, 2017 08:34 PM
20 Nov, 2017 09:02 AM
10 Oct, 2017 10:57 AM
09 Oct, 2017 05:47 PM
27 Sep, 2017 02:31 PM
26 Sep, 2017 07:20 AM